5 Replies Latest reply: Apr 5, 2013 9:59 AM by Liam Merwick-Oracle RSS

    Minimum platform to learn Oracle VM Server SPARC

    1001001
      Hi everyone

      I am new to Oracle VM Server SPARC, just want to know what is the minimum hardware platform that runs SPARC VM server ?

      Will a Fire V245 run it ?

      thanks
        • 1. Re: Minimum platform to learn Oracle VM Server SPARC
          Sven-Olaf Hilmer
          no.
          Oracle VM for SPARC runs only on T-series and the new M5.
          E-series, V-series and the former M-series do not support Oracle VM for SPARC.

          regs
          Sven
          • 2. Re: Minimum platform to learn Oracle VM Server SPARC
            Bjoern Rost
            also, while the T1000 and T2000 support logical domains (or Oracle VM for SPARC), only version 1.x is supported. So if you want to play with the newer features (like live migration) in version 2.x and 3 you'd need at least a T2 CPU. The new M10 from Fujitsu supports LDOMs aswell.

            http://docs.oracle.com/cd/E37707_01/html/E29668/gentextid-340.html#ldomssupportedplatforms

            cheers
            bjoern

            Edited by: Bjoern Rost on Apr 4, 2013 11:46 AM - added link to supported platforms
            • 3. Re: Minimum platform to learn Oracle VM Server SPARC
              1001001
              thanks, but live migration means I would have two servers, correct ?

              Will 2.x or 3.x run on a T2000 server ? I mean some feature may not be available, what confused me is the word "supported", does it mean it won't run or just mean you are on your own if you run 2.x or 3.x on a T2000 server.

              thanks
              • 4. Re: Minimum platform to learn Oracle VM Server SPARC
                Bjoern Rost
                well, I have not tried but the docs suggest very strongly that versions 2 and 3 don't work/run on a T2000. And yes, to test live migration, you'd need two servers anyway. You can easily test and study most ldom admin stuff with version 1.x. Some of the more advanced things (mapping single PCIe devices and such) were only added later but to simply create an LDOM, virtual switches etc you can do that with a T2000.
                I think the ability to manage LDOMs with the Oracle VM manager (GUI) also requires a later version but the command line stuff has not changed drastically with the versions.

                cheers
                bjoern

                Edited by: Bjoern Rost on Apr 5, 2013 1:39 PM
                • 5. Re: Minimum platform to learn Oracle VM Server SPARC
                  Liam Merwick-Oracle
                  Usbkey wrote:
                  thanks, but live migration means I would have two servers, correct ?
                  Correct
                  Will 2.x or 3.x run on a T2000 server ? I mean some feature may not be available, what confused me is the word "supported", does it mean it won't run or just mean you are on your own if you run 2.x or 3.x on a T2000 server.
                  In this case, "supported" means that Oracle would not take a support call if a T2000 system was running 1.3 or later. However I believe 1.3 and 2.0 may run on a T2000 (but it's not tested - if you are just trying this out it to learn it may be OK (I don't know or can't advise you on any legal ramifications) but you won't get many features which depend on firmware support in versions later than 6.x) but either from 2.1 or 2.2 onwards definitely won't even run (I can't remember which).

                  Personally, I'm not sure it's worth the effort trying to learn on a T2000 - it won't resemble what T4 and later platforms are like and the performance will be much worse compared to modern platforms (the T2000 came out nearly a decade ago :-) )